Hardware Locality (hwloc) 1.4

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
hwloc_obj_attr_u::hwloc_pcidev_attr_s Struct Reference

`#include <hwloc.h>`

## Data Fields

unsigned short | domain
unsigned char | bus
unsigned char | dev
unsigned char | func
unsigned short | class_id
unsigned short | vendor_id
unsigned short | device_id
unsigned short | subvendor_id
unsigned short | subdevice_id
unsigned char | revision
float | linkspeed

## Detailed Description

PCI Device specific Object Attributes.

## Field Documentation

unsigned char hwloc_obj_attr_u::hwloc_pcidev_attr_s::bus

unsigned short hwloc_obj_attr_u::hwloc_pcidev_attr_s::class_id

unsigned char hwloc_obj_attr_u::hwloc_pcidev_attr_s::dev

unsigned short hwloc_obj_attr_u::hwloc_pcidev_attr_s::device_id

unsigned short hwloc_obj_attr_u::hwloc_pcidev_attr_s::domain

unsigned char hwloc_obj_attr_u::hwloc_pcidev_attr_s::func

float hwloc_obj_attr_u::hwloc_pcidev_attr_s::linkspeed

unsigned char hwloc_obj_attr_u::hwloc_pcidev_attr_s::revision

unsigned short hwloc_obj_attr_u::hwloc_pcidev_attr_s::subdevice_id

unsigned short hwloc_obj_attr_u::hwloc_pcidev_attr_s::subvendor_id

unsigned short hwloc_obj_attr_u::hwloc_pcidev_attr_s::vendor_id

The documentation for this struct was generated from the following file:

- hwloc.h